FTL Advanced Edition Packer/Unpacker HELP!!!!!

Read or post about compression. And decompression. Or ask questions how to decompress your files.
Post Reply
happypommes
ultra-n00b
Posts: 3
Joined: Tue Jun 26, 2018 12:41 pm

FTL Advanced Edition Packer/Unpacker HELP!!!!!

Post by happypommes » Tue Jun 26, 2018 1:46 pm

Hi,
i'm new here and i really hope someone can help me!?

In 2013 i started with modding of the game FTL - Faster Than Light. Because i was busy with work i never could finish this. After the release of FTL Advanced Edition i bought it again on GOG. Now i would like to finish my mods of the game.

In 2013 i used the FTL_UnPacker to unpack and pack the needed .dat files. You can find it here https://subsetgames.com/forum/viewtopic.php?t=2788.
Still i can use it to unpack the gamedata from the ftl.dat but the FTL_UnPacker was written for the first FTL Edition and not for the Advanced Edition so i can't pack it again. It's because in the 1st Edition there were 2 .dat files named "data.dat"[included "data" folder] and "resource.dat" [included "audio", "fonts" and"img" folders].
In GOG's Advanced Edition there's only one .dat file named "ftl.dat". Now the ftl.dat includes all gamedata folders named "audio", "data", "fonts" and "img". Before it was seperated in the 2 .dat files. Oh and i searched the whole www and couldn't find any up to date Un/Packer for FTL Advanced.

Here's a screenshot from the FTLUnPacker's message when i try to pack all folders. Image

The FTL_UnPacker.jar was written in Java. There's no source code available. I tried to contact the programmer Didero but last time he was seen in the forum was in December 2012.

I'm not a programmer so i have problems to change the code. First i tried with Visual Studio but the program always told me there are bugs in the code. Then i decompiled the .class files within the .jar file with the Bytecode Viewer but there are several problems with compiling again. I tried several compilers. For me JD-GUI seems to be work best but i always get this error message:


Error compiling class: ftl/unpacker/FTLEditor
Keep in mind most decompilers cannot produce compilable classes
java.lang.Exception:
Error:
Note: C:\Users\xxxxxxxxxxx\.Bytecode-Viewer\bcv_temp\tempXUxHFmIJukuX\ftl\unpacker\FTLEditor.java uses unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.
1 error

Exit Value is 1
at the.bytecode.club.bytecodeviewer.compilers.JavaCompiler.compile(JavaCompiler.java:113)
at the.bytecode.club.bytecodeviewer.BytecodeViewer.compile(BytecodeViewer.java:792)
at the.bytecode.club.bytecodeviewer.gui.MainViewerGUI$14$1.run(MainViewerGUI.java:868)


I know i had to uncheck the Xlint option to solve this problem but within the Bytecode Viewer i cannot set any compiler options and i don't know how or if it's possible to set this anywhere in the Java folders.

I'm really going crazy with this and i hope someone can help me in any way!!!!! Maybe someone knows how to code Java and can do this for me?? For every help i'm thankful!

Regards happy

merlinsvk
ultra-veteran
ultra-veteran
Posts: 411
Joined: Mon Oct 27, 2008 12:11 am
Location: Slovakia
Has thanked: 35 times
Been thanked: 117 times

Re: FTL Advanced Edition Packer/Unpacker HELP!!!!!

Post by merlinsvk » Tue Jun 26, 2018 3:25 pm


happypommes
ultra-n00b
Posts: 3
Joined: Tue Jun 26, 2018 12:41 pm

Re: FTL Advanced Edition Packer/Unpacker HELP!!!!!

Post by happypommes » Tue Jun 26, 2018 4:23 pm

I know and tried Slipstream's Mod Manager but how can i pack all needed folders into the ftl.dat with it??

merlinsvk
ultra-veteran
ultra-veteran
Posts: 411
Joined: Mon Oct 27, 2008 12:11 am
Location: Slovakia
Has thanked: 35 times
Been thanked: 117 times

Re: FTL Advanced Edition Packer/Unpacker HELP!!!!!

Post by merlinsvk » Thu Jun 28, 2018 3:25 pm

Make a mod. And use Slipstream Manager to patch ftl.dat file with.

Read "usage" here.

happypommes
ultra-n00b
Posts: 3
Joined: Tue Jun 26, 2018 12:41 pm

Re: FTL Advanced Edition Packer/Unpacker HELP!!!!!

Post by happypommes » Thu Jun 28, 2018 6:24 pm

I solved the problem with the java code and i tried SlipstreamModManager again and it's working now! :D

Thx for your help!!!!!

Post Reply